Expire a payment intent
curl --request POST \
--url https://api-sandbox.circle.com/v1/paymentIntents/{id}/expire \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api-sandbox.circle.com/v1/paymentIntents/{id}/expire"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api-sandbox.circle.com/v1/paymentIntents/{id}/expire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "8755d0ea-14f9-4259-b092-de23c14b6568",
"amount": {
"amount": "3.14",
"currency": "USD"
},
"amountPaid": {
"amount": "0.00",
"currency": "USD"
},
"settlementCurrency": "USD",
"paymentMethods": [
{
"type": "blockchain",
"chain": "ETH",
"address": "0x8381470ED67C3802402dbbFa0058E8871F017A6F"
}
],
"paymentIds": [],
"timeline": [
{
"status": "created",
"time": "2022-07-21T20:13:35.579331Z"
}
],
"createDate": "2022-07-21T20:13:35.578678Z",
"updateDate": "2022-07-21T20:19:24.859052Z"
}
}Expire a payment intent
POST
/
v1
/
paymentIntents
/
{id}
/
expire
Expire a payment intent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Universally unique identifier (UUID v4) of a resource.
Example:
"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"
Body
application/json
The body is of type object.
Response
Successfully expired a payment intent.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I